{ config, lib, pkgs, ... }:
{
  imports =
    [
      ./hardware-configuration.nix
			
			# modules
			./modules/jellyfin.nix
			./modules/iperf.nix
			./modules/networking.nix
			./modules/virt.nix
			./modules/sec.nix
			./modules/pkgs.nix
			./modules/user.nix
		];

  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  time.timeZone = "Europe/Berlin";
	
	nixpkgs.config.allowUnfree = true;
  nix.settings.experimental-features = [
    "nix-command"
    "flakes"
  ];
	
  programs = { 
		gnupg = {
			agent = {
				enable = true;
				enableSSHSupport = true;
			};
		};
	};
	
  services = {
		openssh = {
			enable = true;	
		};	
	};

  system.stateVersion = "24.11";

}

